valac(1)

NAME
valac - compiler that translates Vala source code into C source and header files

SYNOPSIS
valac [OPTION...] FILE...

DESCRIPTION
Vala is a new programming language that aims to bring modern programming language features to GNOME developers without imposing any additional runtime requirements and without using a different ABI compared to applications and libraries written in C. valac, the Vala compiler, is a self-hosting compiler that translates Vala source code into C source and header files. It uses the GObject type system to create classes and interfaces declared in the Vala source code.

OPTIONS

--help
    Show help options

--vapidir=DIRECTORY...
    Look for package bindings in DIRECTORY

--pkg=PACKAGE...
    Include binding for PACKAGE

--library=NAME
    Library name

-d, --directory=DIRECTORY
    Output directory

--version
    Display version number

-C, --ccode
    Output C code

-c, --compile
    Compile but do not link

-o, --output=FILE
    Place output in file FILE

-g, --debug
    Produce debug information

--thread
    Enable multithreading support

--disable-assert
    Disable assertions

--enable-checking
    Enable additional run-time checks

--enable-deprecated
    Enable deprecated features

--enable-experimental
    Enable experimental features

--cc=COMMAND
    Use COMMAND as C compiler command

-X, --Xcc=OPTION...
    Pass OPTION to the C compiler

-q, --quiet
    Do not print messages to the console

--target-glib=MAJOR.MINOR
    Target version of glib for code generation

FEATURES
Interfaces, properties, signals, foreach, lambda expressions, type inference for local variables, generics, non-null types, assisted memory management, exception handling

HOMEPAGE AND BUG REPORT
http://www.vala-project.org/

AUTHORS
Jurg Billeter, Raffaele Sandrini. Man page written to conform with Debian by Marc-Andre Lureau.